---
order: 3
title: 更新日志
toc: false
timeline: true
---

# ChangeLog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/)
and this project adheres to [Semantic Versioning](http://semver.org/).

## Unreleased

### Added

> TODO

## 0.1.0-alpha.9

### Added

- render tab via pure data

### Fixed

- fix icon vertical align middle again

### Changed

- remove wrapped span of icon

## 0.1.0-alpha.8

### Added

- add LabelPicker
- export hocDropdown

### Fixed

- change dropdown max-width to width

## 0.1.0-alpha.7

### Added

- add EmojiPicker

### Fixed

- icon position in input
- dependency `object.omit`

## 0.1.0-alpha.6

### Added

- add box-sizing for all components
- add Modal component
- add textarea and autoSize textarea components
- add list component
- add scss mixins and functions exports

## 0.1.0-alpha.5

### Added

- add Tooltip component
- add Badge component
- add Label component
- add Uploader component
- add Alert component
- add empty button type
- add radio, radio group and radio button component

### Changed

- remove general button type

## 0.1.0-alpha.3 && 0.1.0-alpha.4

> invalid version

## 0.1.0-alpha.2

### Fixed

- private project layout aside width
- fix lost input and tab css

## 0.1.0-alpha.1

### Added

- coding svg icons
- className for all components
- divider component

### Fixed

- layout demo import issue

## 0.1.0-alpha

### Added

- feat(input): input component
- feat(datepicker): Add DatePicker component
- feat(tab): tab component
- feat(dropdown): Focus on search input when expand
- feat(layout): full size layout
- feat(dropdown): Add dropdown component
- feat(menu): menu component
- feat(avatar): avatar component
- feat(pagination): pagination component
- feat(checkbox): checkbox and checkbox group components
- feat(icon): add classname for each icon
- feat(global): 添加全局 normalize css
- feat(markdown): code syntax highlight support
- feat(icon): add fa svg icon
- feat(icon): icon component
- feat(button/markdown): add button and markdown components
- feat(markdown): normal markdown component
- feat: basic structure of CUK
